Mailinglist Archive: opensuse-updates (99 mails)

< Previous Next >
openSUSE-SU-2016:1779-1: moderate: Security update for glibc
openSUSE Security Update: Security update for glibc
______________________________________________________________________________

Announcement ID: openSUSE-SU-2016:1779-1
Rating: moderate
References: #967190 #968787 #969727 #973010 #973164 #975930
#980483 #980854
Cross-References: CVE-2016-1234 CVE-2016-3075 CVE-2016-3706
CVE-2016-4429
Affected Products:
openSUSE Leap 42.1
______________________________________________________________________________

An update that solves four vulnerabilities and has four
fixes is now available.

Description:


This update for glibc provides the following fixes:

- Increase DTV_SURPLUS limit. (bsc#968787)
- Do not copy d_name field of struct dirent. (CVE-2016-1234, bsc#969727)
- Fix memory leak in _nss_dns_gethostbyname4_r. (bsc#973010)
- Fix stack overflow in _nss_dns_getnetbyname_r. (CVE-2016-3075,
bsc#973164)
- Fix malloc performance regression from SLE 11. (bsc#975930)
- Fix getaddrinfo stack overflow in hostent conversion. (CVE-2016-3706,
bsc#980483)
- Do not use alloca in clntudp_call. (CVE-2016-4429, bsc#980854)
- Remove mtrace.1, now included in the man-pages package. (bsc#967190)


This update was imported from the SUSE:SLE-12-SP1:Update update project.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE Leap 42.1:

zypper in -t patch openSUSE-2016-852=1

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE Leap 42.1 (i586 i686 x86_64):

glibc-2.19-22.1
glibc-debuginfo-2.19-22.1
glibc-debugsource-2.19-22.1
glibc-devel-2.19-22.1
glibc-devel-debuginfo-2.19-22.1
glibc-devel-static-2.19-22.1
glibc-locale-2.19-22.1
glibc-locale-debuginfo-2.19-22.1
glibc-profile-2.19-22.1

- openSUSE Leap 42.1 (i586 x86_64):

glibc-extra-2.19-22.1
glibc-extra-debuginfo-2.19-22.1
glibc-utils-2.19-22.1
glibc-utils-debuginfo-2.19-22.1
glibc-utils-debugsource-2.19-22.1
nscd-2.19-22.1
nscd-debuginfo-2.19-22.1

- openSUSE Leap 42.1 (noarch):

glibc-html-2.19-22.1
glibc-i18ndata-2.19-22.1
glibc-info-2.19-22.1

- openSUSE Leap 42.1 (x86_64):

glibc-32bit-2.19-22.1
glibc-debuginfo-32bit-2.19-22.1
glibc-devel-32bit-2.19-22.1
glibc-devel-debuginfo-32bit-2.19-22.1
glibc-devel-static-32bit-2.19-22.1
glibc-locale-32bit-2.19-22.1
glibc-locale-debuginfo-32bit-2.19-22.1
glibc-profile-32bit-2.19-22.1
glibc-utils-32bit-2.19-22.1
glibc-utils-debuginfo-32bit-2.19-22.1

- openSUSE Leap 42.1 (i586):

glibc-obsolete-2.19-22.1
glibc-obsolete-debuginfo-2.19-22.1


References:

https://www.suse.com/security/cve/CVE-2016-1234.html
https://www.suse.com/security/cve/CVE-2016-3075.html
https://www.suse.com/security/cve/CVE-2016-3706.html
https://www.suse.com/security/cve/CVE-2016-4429.html
https://bugzilla.suse.com/967190
https://bugzilla.suse.com/968787
https://bugzilla.suse.com/969727
https://bugzilla.suse.com/973010
https://bugzilla.suse.com/973164
https://bugzilla.suse.com/975930
https://bugzilla.suse.com/980483
https://bugzilla.suse.com/980854


< Previous Next >
This Thread
  • No further messages